/* 
Theme Name: Valpix Child Theme
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child Theme.
Author: Valpix GmbH
Author URI: https://www.valpix.ch/
Template: hello-elementor
Version: 1.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Custom Styles Valpix */

:root {
    --pixel-5: clamp(2px, 0.5vw, 5px);
    --pixel-10: clamp(4px, 1vw, 10px);
    --pixel-15: clamp(6px, 1.5vw, 15px);
    --pixel-20: clamp(8px, 2vw, 20px);
    --pixel-25: clamp(10px, 2.5vw, 25px);
    --pixel-30: clamp(12px, 3vw, 30px);
    --pixel-35: clamp(14px, 3.5vw, 35px);
    --pixel-40: clamp(16px, 4vw, 40px);
    --pixel-45: clamp(18px, 4.5vw, 45px);
    --pixel-50: clamp(20px, 5vw, 50px);
    --pixel-55: clamp(22px, 5.5vw, 55px);
    --pixel-60: clamp(24px, 6vw, 60px);
    --pixel-65: clamp(26px, 6.5vw, 65px);
    --pixel-70: clamp(28px, 7vw, 70px);
    --pixel-75: clamp(30px, 7.5vw, 75px);
    --pixel-80: clamp(32px, 8vw, 80px);
    --pixel-85: clamp(34px, 8.5vw, 85px);
    --pixel-90: clamp(36px, 9vw, 90px);
    --pixel-95: clamp(38px, 9.5vw, 95px);
    --pixel-100: clamp(40px, 10vw, 100px);
    --pixel-110: clamp(44px, 11vw, 110px);
    --pixel-120: clamp(48px, 12vw, 120px);
    --pixel-130: clamp(52px, 13vw, 130px);
    --pixel-140: clamp(56px, 14vw, 140px);
    --pixel-150: clamp(60px, 15vw, 150px);
    --pixel-160: clamp(64px, 16vw, 160px);
    --pixel-170: clamp(68px, 17vw, 170px);
    --pixel-180: clamp(72px, 18vw, 180px);
    --pixel-190: clamp(76px, 19vw, 190px);
    --pixel-200: clamp(80px, 20vw, 200px);
    --pixel-210: clamp(84px, 21vw, 210px);
    --pixel-220: clamp(88px, 22vw, 220px);
    --pixel-230: clamp(92px, 23vw, 230px);
    --pixel-240: clamp(96px, 24vw, 240px);
    --pixel-250: clamp(100px, 25vw, 250px);
	--custom-title-color: #231F21 !important;
	--custom-body-color: #231F21 !important;
}
:focus, :focus-visible{
    outline: none;
}

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
header.e-con-full, .page-content .e-con-full, footer.e-con-full {
    padding-left: calc((100vw - 1460px) / 2);
    padding-right: calc((100vw - 1460px) / 2);
}
main section .e-con-inner .e-con-full.e-child {
	padding-left: 0;
	padding-right: 0;
}
header .e--pointer-double-line .elementor-item:after, .e--pointer-underline .elementor-item:after {
    bottom: -5px !important;
    height: 2px;
}
header nav .sub-menu {
    margin-top: 50px !important;
    padding: 20px !important;
    border-radius: 20px;
}
header .sub-menu a {
    border-left: 0 !important;
    padding: 0 !important;
}
header .sub-menu li {
    margin: 10px 0 !important;
}
header .sub-menu li:first-of-type {
    margin-top: 0 !important;
}
header .sub-menu li:last-of-type {
    margin-bottom: 0 !important;
}
header .sub-menu .elementor-sub-item:hover, header .sub-menu .elementor-sub-item:focus, header .sub-menu .elementor-sub-item:focus-visible {
    background-color: transparent;
    color: #33373d;
}
.elementor-sub-item.elementor-item-active {
    background-color: transparent;
    color: #33373d;
	text-decoration: underline !important;
	text-underline-position: under !important;
}
.wpml-ls {
    background-color: #D1E7E0;
    padding: 5px 7px !important;
    border-radius: 100px;
}
h1:first-child, h2:first-child, h3:first-child, h4:first-child, h5:first-child, h6:first-child {
    margin-top: 0;
}
p:last-child, p:only-child {
    margin-bottom: 0;
}
h1 {
  	margin-bottom: 40px;
}
* + h1, * + h2, * + h3, * + h4, * + h5, * + h6 {
    margin-top: 0;
}
.page-content section {
    margin-top: var(--pixel-150);
}
.page-content section.mt-s {
	margin-top: var(--pixel-30);
}
.introsection .elementor-background-slideshow:after {
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: #00000024;
    top: 0;
    left: 0;
    z-index: 1;
    mix-blend-mode: multiply;
}
.section-cta {
	padding-top: var(--pixel-80); 
	padding-bottom: var(--pixel-80); 
	border-top: 1px solid rgba(71, 11, 11, 0.06);
}
.section-faq .e-con-inner {
    width: 100%;
    background: red;
}
.section-faq .e-con-inner::before {
    content: '';
    background: #000;
    position: absolute;
    left: auto;
    top: 0;
	right: calc((100vw - 1460px) / 2);
    height: 100%;
    width: 100%;
    z-index: -1;
	border-radius: 0 50px 50px 0;
}
.section-faq.bg-green .e-con-inner, .section-faq.bg-green .e-con-inner::before {
	background-color: #D1E7E0;
}
.section-faq.bg-blue .e-con-inner, .section-faq.bg-blue .e-con-inner::before {
	background-color: #D7F3FF;
}
.subpage-listing .elementor-grid {
    display: flex !important;
    flex-direction: row !important;
    flex-wrap: wrap !important;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(1),
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(3),
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(5),
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(7) {
    width: 60%;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(2),
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(4),
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(6),
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(8) {
    width: 37%;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(3){
    order: 4;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(4){
    order: 3;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(5){
    order: 5;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(6){
    order: 6;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(7){
    order: 8;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(8){
    order: 7;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(9){
    order: 10;
}
.subpage-listing .elementor-grid .e-loop-item:nth-of-type(10){
    order: 9;
}
.container-quicklink {
  	border-radius: 30px;
  	overflow: hidden;
}
.container-quicklink .e-con-full {
  	padding: 30px 40px 30px 30px !important;
}
.container-quicklink h2 {
  	margin: 0;
}
.elementor-button{
  	border: 1px solid #470B0B;
  	background: transparent;
  	border-radius: 50px;
  	padding: 15px 30px;
}
section:not(.section-cta) .elementor-button {
    background: #D1E7E0;
    border: 1px solid #D1E7E0;
}
.elementor-button:focus, .elementor-button:hover, .elementor-button:visited {
  	color: #470B0B;
}
.elementor-button-icon svg {
 	width: 27px;
}
.elementor-button-content-wrapper {
  	align-items: center;
}
.breadcrumb-container {
  	background: var( --e-global-color-bdd7708 );
  	border-radius: 50px;
  	padding: 20px 50px;
  	min-width: 300px !important;
}
.breadcrumb-container span {
  	line-height: 1;
}
.lead h1 {
  	max-width: 800px;
}
.lead p {
  	font-size: 23px;
  	max-width: 90%;
  	line-height: 1.5;
}
.e-n-accordion .e-n-accordion-item:last-child .e-n-accordion-item-title {
    border-width: 0 !important;
}
.e-contact-buttons__contact-links a .e-contact-buttons__contact-icon-container {
    background-image: url(https://www.internatbrig.ch/wp-content/uploads/2025/01/help-cta-icon.svg);
    background-size: cover;
    background-position: center;
    width: 33px;
    height: 33px;
}
.e-contact-buttons__contact-links a:nth-child(2) .e-contact-buttons__contact-icon-container {
    background-image: url(https://www.internatbrig.ch/wp-content/uploads/2025/01/download-cta-icon.svg);
}
.e-contact-buttons__contact-icon-container i {
    display: none;
}
.e-contact-buttons__contact-title {
    font-weight: 700;
}
.wpml-ls-statics-shortcode_actions.wpml-ls.wpml-ls-legacy-list-horizontal {
    padding: 0;
}
.wpml-ls-link {
    font-size: 15px !important;
    padding: 0 !important;
}
.wpml-ls-legacy-list-horizontal>ul {
    vertical-align: middle;
    display: flex;
	column-gap: 10px;
}
.wpml-ls-legacy-list-horizontal .wpml-ls-item:not(:last-child):after {
	content: '';
    position: absolute;
    right: -5px;
    top: 0;
    height: 100%;
    width: 2px;
    background: #231F21;
}
.wpml-ls-legacy-list-horizontal .wpml-ls-item {
	position: relative;
}
footer.e-con-full {
    padding-top: var(--pixel-80);
    padding-bottom: var(--pixel-80);
}
footer .credits ul {
    list-style-type: none;
    display: flex;
    column-gap: 40px;
    padding-left: 0;
}
privacybee-widget div, privacybee-widget div ul li, privacybee-widget div a {
	max-width: 100% !important;
	line-height: inherit !important;
}
.prx_text {
    max-width: 100% !important;
}

@media screen and (max-width: 1600px) {
	.e-con-full.e-parent, .e-con-boxed.e-parent .e-con-inner {
  		padding-left: 48px;
  		padding-right: 48px;
	}
	.e-con-full.section-fullwidth, .dialog-widget .e-con-boxed.e-parent .e-con-inner, .e-loop-item .e-con-boxed.e-parent .e-con-inner {
		padding-left: 0;
		padding-right: 0;
	}
}
@media screen and (max-width: 1200px) {
	.e-con-full.e-parent, .e-con-boxed.e-parent .e-con-inner {
  		padding-left: 40px;
  		padding-right: 40px;
	}
	.e-con-full.section-fullwidth, .dialog-widget .e-con-boxed.e-parent .e-con-inner {
		padding-left: 0;
		padding-right: 0;
	}
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(1),
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(3),
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(5),
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(7)  {
        width: 59%;
    }
    nav li a {
        font-size: 22px !important;
        padding: 13px 0 !important;
    }
    ul.sub-menu[aria-hidden="true"], ul.sub-menu[aria-hidden="false"] {
        position: relative;
        margin-left: 0 !important;
        border-bottom: 1px solid black;
        margin-bottom: 30px;
        margin-top: 10px !important;
        padding: 0px 0px 30px 0px;
    }
    ul.sub-menu li a {
        border: 0 !important;
        font-weight: 400 !important;
        padding: 8px 0px !important;
        font-size: 18px !important;
    }
    .wpml-ls {
        display: inline-block;
    }
}
@media screen and (max-width: 829px) {
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(1),
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(3),
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(5),
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(7)  {
        width: 58%;
    }
}
@media screen and (max-width: 768px) {
	.e-con-full.e-parent, .e-con-boxed.e-parent .e-con-inner {
  		padding-left: 20px;
  		padding-right: 20px;
	}
	.e-con-full.section-fullwidth, .dialog-widget .e-con-boxed.e-parent .e-con-inner {
		padding-left: 0;
		padding-right: 0;
	}
    .introsection, .e-con>.elementor-background-slideshow, :is(.e-con,.e-con>.e-con-inner)>.elementor-background-video-container{
        --border-radius: 0px 0px 150px 0px !important;
    }
    .subpage-listing .elementor-grid .e-loop-item {
        width: 100% !important;
    }
    .breadcrumb-container {
        min-width: unset !important;
    }
    .container-quicklink .e-con-full {
        padding: 25px 30px 25px 25px !important;
    }
    .lead p {
        font-size: 20px;
        max-width: 100%;
        line-height: 1.4;
    }
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(4){
        order: 4;
    }
    .subpage-listing .elementor-grid .e-loop-item:nth-of-type(8){
        order: 8;
    }
}
@media screen and (max-width: 500px) {
	.introsection {
        padding-left: 0 !important;
        padding-bottom: 90px !important;
        min-height: 450px;
    }
}